RDCatalog Namespace Reference

## Classes

class | Catalog
| abstract base class for a catalog object More...
class | CatalogEntry
| Abstract base class to be used to represent an entry in a Catalog. More...
class | CatalogParams
| abstract base class for the container used to create a catalog More...
class | HierarchCatalog
| A Catalog with a hierarchical structure. More...
class | LinearCatalog
| a linear Catalog (analogous to an std::vector) More...

## Variables

const int | versionMajor =1
const int | versionMinor =0
const int | versionPatch =0
const int | endianId =0xDEADBEEF

## Variable Documentation

const int RDCatalog::endianId =0xDEADBEEF

Definition at line 33 of file Catalog.h.

const int RDCatalog::versionMajor =1

Definition at line 30 of file Catalog.h.

const int RDCatalog::versionMinor =0

Definition at line 31 of file Catalog.h.

const int RDCatalog::versionPatch =0

Definition at line 32 of file Catalog.h.